## cdcat 0.97

=== src/Makefile ===
#############################################################################
# Makefile for building: cdcat
# Generated by qmake (1.04a) (Qt 3.1.1) on: Tue Apr 27 20:34:50 2004
# Project:  cdcat.pro
# Template: app
# Command: $(QMAKE) -o Makefile cdcat.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -g -pipe -Wall -W -O2  -DQT_NO_DEBUG
CXXFLAGS = -g -pipe -Wall -W -O2  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(QTDIR)/mkspecs/default -I. -I$(QTDIR)/include -Imoc_files/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS)  -Wl,-rpath,$(QTDIR)/lib -L$(QTDIR)/lib -L/usr/X11R6/lib -lpcre -lz -lexpat -lqt -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = obj_files/

####### Files

HEADERS = adddialog.h \
		cdcat.h \
		commwidget.h \
		config.h \
		dbase.h \
		dirview.h \
		find.h \
		guibase.h \
		hdirview.h \
		mainwidget.h \
		mp3tag.h \
		newdbdialog.h \
		recode.h \
		import.h \
		importdialog.h \
		wdbfile.h \
		icons.h \
		info.h \
		exportcdcatdb.h \
		showcontent.h \
		selreadable.h \
		borrow.h \
		tparser.h \
		misc.h
SOURCES = adddialog.cpp \
		cdcat.cpp \
		commwidget.cpp \
		config.cpp \
		dbase.cpp \
		dirview.cpp \
		find.cpp \
		guibase.cpp \
		hdirview.cpp \
		icons.cpp \
		import.cpp \
		importdialog.cpp \
		mainwidget.cpp \
		mp3tag.cpp \
		newdbdialog.cpp \
		recode.cpp \
		wdbfile.cpp \
		info.cpp \
		exportcdcatdb.cpp \
		showcontent.cpp \
		selreadable.cpp \
		borrow.cpp \
		tparser.cpp \
		misc.cpp
OBJECTS = obj_files/adddialog.o \
		obj_files/cdcat.o \
		obj_files/commwidget.o \
		obj_files/config.o \
		obj_files/dbase.o \
		obj_files/dirview.o \
		obj_files/find.o \
		obj_files/guibase.o \
		obj_files/hdirview.o \
		obj_files/icons.o \
		obj_files/import.o \
		obj_files/importdialog.o \
		obj_files/mainwidget.o \
		obj_files/mp3tag.o \
		obj_files/newdbdialog.o \
		obj_files/recode.o \
		obj_files/wdbfile.o \
		obj_files/info.o \
		obj_files/exportcdcatdb.o \
		obj_files/showcontent.o \
		obj_files/selreadable.o \
		obj_files/borrow.o \
		obj_files/tparser.o \
		obj_files/misc.o \
		obj_files/help.o
FORMS = help.ui
UICDECLS = help.h
UICIMPLS = help.cpp
SRCMOC   = moc_files/moc_adddialog.cpp \
		moc_files/moc_commwidget.cpp \
		moc_files/moc_config.cpp \
		moc_files/moc_dbase.cpp \
		moc_files/moc_dirview.cpp \
		moc_files/moc_find.cpp \
		moc_files/moc_guibase.cpp \
		moc_files/moc_hdirview.cpp \
		moc_files/moc_mainwidget.cpp \
		moc_files/moc_newdbdialog.cpp \
		moc_files/moc_import.cpp \
		moc_files/moc_importdialog.cpp \
		moc_files/moc_info.cpp \
		moc_files/moc_exportcdcatdb.cpp \
		moc_files/moc_showcontent.cpp \
		moc_files/moc_selreadable.cpp \
		moc_files/moc_borrow.cpp \
		moc_files/moc_help.cpp
OBJMOC = obj_files/moc_adddialog.o \
		obj_files/moc_commwidget.o \
		obj_files/moc_config.o \
		obj_files/moc_dbase.o \
		obj_files/moc_dirview.o \
		obj_files/moc_find.o \
		obj_files/moc_guibase.o \
		obj_files/moc_hdirview.o \
		obj_files/moc_mainwidget.o \
		obj_files/moc_newdbdialog.o \
		obj_files/moc_import.o \
		obj_files/moc_importdialog.o \
		obj_files/moc_info.o \
		obj_files/moc_exportcdcatdb.o \
		obj_files/moc_showcontent.o \
		obj_files/moc_selreadable.o \
		obj_files/moc_borrow.o \
		obj_files/moc_help.o
DIST	   = cdcat.pro
QMAKE_TARGET = cdcat
DESTDIR  = 
TARGET   = cdcat

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: cdcat.pro  $(QTDIR)/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile cdcat.pro
qmake: 
	@$(QMAKE) -o Makefile cdcat.pro

dist: 
	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

obj_files/adddialog.o: adddialog.cpp adddialog.h \
		guibase.h \
		dirview.h \
		icons.h \
		dbase.h \
		mainwidget.h \
		config.h \
		misc.h \
		selreadable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/adddialog.o adddialog.cpp

obj_files/cdcat.o: cdcat.cpp dbase.h \
		cdcat.h \
		config.h \
		mainwidget.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/cdcat.o cdcat.cpp

obj_files/commwidget.o: commwidget.cpp commwidget.h \
		dbase.h \
		cdcat.h \
		wdbfile.h \
		recode.h \
		icons.h \
		mainwidget.h \
		showcontent.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/commwidget.o commwidget.cpp

obj_files/config.o: config.cpp config.h \
		dbase.h \
		icons.h \
		cdcat.h \
		adddialog.h \
		mainwidget.h \
		selreadable.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/config.o config.cpp

obj_files/dbase.o: dbase.cpp dbase.h \
		cdcat.h \
		mp3tag.h \
		wdbfile.h \
		adddialog.h \
		recode.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/dbase.o dbase.cpp

obj_files/dirview.o: dirview.cpp dirview.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/dirview.o dirview.cpp

obj_files/find.o: find.cpp find.h \
		dbase.h \
		mainwidget.h \
		wdbfile.h \
		guibase.h \
		adddialog.h \
		config.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/find.o find.cpp

obj_files/guibase.o: guibase.cpp cdcat.h \
		guibase.h \
		borrow.h \
		mainwidget.h \
		dbase.h \
		recode.h \
		wdbfile.h \
		commwidget.h \
		hdirview.h \
		newdbdialog.h \
		adddialog.h \
		find.h \
		config.h \
		help.h \
		import.h \
		exportcdcatdb.h \
		info.h \
		showcontent.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/guibase.o guibase.cpp

obj_files/hdirview.o: hdirview.cpp hdirview.h \
		dbase.h \
		mainwidget.h \
		guibase.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/hdirview.o hdirview.cpp

obj_files/icons.o: icons.cpp icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/icons.o icons.cpp

obj_files/import.o: import.cpp import.h \
		importdialog.h \
		mainwidget.h \
		dbase.h \
		config.h \
		guibase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/import.o import.cpp

obj_files/importdialog.o: importdialog.cpp importdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/importdialog.o importdialog.cpp

obj_files/mainwidget.o: mainwidget.cpp mainwidget.h \
		commwidget.h \
		hdirview.h \
		dbase.h \
		guibase.h \
		config.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/mainwidget.o mainwidget.cpp

obj_files/mp3tag.o: mp3tag.cpp mp3tag.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/mp3tag.o mp3tag.cpp

obj_files/newdbdialog.o: newdbdialog.cpp newdbdialog.h \
		dbase.h \
		cdcat.h \
		guibase.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/newdbdialog.o newdbdialog.cpp

obj_files/recode.o: recode.cpp recode.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/recode.o recode.cpp

obj_files/wdbfile.o: wdbfile.cpp wdbfile.h \
		adddialog.h \
		recode.h \
		dbase.h \
		cdcat.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/wdbfile.o wdbfile.cpp

obj_files/info.o: info.cpp info.h \
		cdcat.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/info.o info.cpp

obj_files/exportcdcatdb.o: exportcdcatdb.cpp icons.h \
		cdcat.h \
		exportcdcatdb.h \
		adddialog.h \
		recode.h \
		guibase.h \
		dbase.h \
		wdbfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/exportcdcatdb.o exportcdcatdb.cpp

obj_files/showcontent.o: showcontent.cpp showcontent.h \
		icons.h \
		dbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/showcontent.o showcontent.cpp

obj_files/selreadable.o: selreadable.cpp selreadable.h \
		config.h \
		dbase.h \
		icons.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/selreadable.o selreadable.cpp

obj_files/borrow.o: borrow.cpp borrow.h \
		icons.h \
		recode.h \
		dbase.h \
		cdcat.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/borrow.o borrow.cpp

obj_files/tparser.o: tparser.cpp tparser.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/tparser.o tparser.cpp

obj_files/misc.o: misc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/misc.o misc.cpp

help.h: help.ui 
	$(UIC) help.ui -o help.h

help.cpp: help.h help.ui 
	$(UIC) help.ui -i help.h -o help.cpp

obj_files/help.o: help.cpp help.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/help.o help.cpp

obj_files/moc_adddialog.o: moc_files/moc_adddialog.cpp adddialog.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_adddialog.o moc_files/moc_adddialog.cpp

obj_files/moc_commwidget.o: moc_files/moc_commwidget.cpp commwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_commwidget.o moc_files/moc_commwidget.cpp

obj_files/moc_config.o: moc_files/moc_config.cpp config.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_config.o moc_files/moc_config.cpp

obj_files/moc_dbase.o: moc_files/moc_dbase.cpp dbase.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_dbase.o moc_files/moc_dbase.cpp

obj_files/moc_dirview.o: moc_files/moc_dirview.cpp dirview.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_dirview.o moc_files/moc_dirview.cpp

obj_files/moc_find.o: moc_files/moc_find.cpp find.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_find.o moc_files/moc_find.cpp

obj_files/moc_guibase.o: moc_files/moc_guibase.cpp guibase.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_guibase.o moc_files/moc_guibase.cpp

obj_files/moc_hdirview.o: moc_files/moc_hdirview.cpp hdirview.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_hdirview.o moc_files/moc_hdirview.cpp

obj_files/moc_mainwidget.o: moc_files/moc_mainwidget.cpp mainwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_mainwidget.o moc_files/moc_mainwidget.cpp

obj_files/moc_newdbdialog.o: moc_files/moc_newdbdialog.cpp newdbdialog.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_newdbdialog.o moc_files/moc_newdbdialog.cpp

obj_files/moc_import.o: moc_files/moc_import.cpp import.h guibase.h \
		dbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_import.o moc_files/moc_import.cpp

obj_files/moc_importdialog.o: moc_files/moc_importdialog.cpp importdialog.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_importdialog.o moc_files/moc_importdialog.cpp

obj_files/moc_info.o: moc_files/moc_info.cpp info.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_info.o moc_files/moc_info.cpp

obj_files/moc_exportcdcatdb.o: moc_files/moc_exportcdcatdb.cpp exportcdcatdb.h recode.h \
		guibase.h \
		dbase.h \
		wdbfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_exportcdcatdb.o moc_files/moc_exportcdcatdb.cpp

obj_files/moc_showcontent.o: moc_files/moc_showcontent.cpp showcontent.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_showcontent.o moc_files/moc_showcontent.cpp

obj_files/moc_selreadable.o: moc_files/moc_selreadable.cpp selreadable.h
