## cdcat 0.99

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: cdcat
-# Generated by qmake (1.04a) (Qt 3.1.1) on: Tue Apr 27 20:34:50 2004
+# Generated by qmake (1.07a) (Qt 3.3.3) on: Tue Nov  2 22:22:51 2004
 # Project:  cdcat.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile cdcat.pro
@@ -12,24 +12,26 @@
 CXX      = g++
 LEX      = flex
 YACC     = yacc
-CFLAGS   = -g -pipe -Wall -W -O2  -DQT_NO_DEBUG
-CXXFLAGS = -g -pipe -Wall -W -O2  -DQT_NO_DEBUG
+CFLAGS   = -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_SHARED -DQT_THREAD_SUPPORT
+CXXFLAGS = -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_SHARED -DQT_THREAD_SUPPORT
 LEXFLAGS = 
 YACCFLAGS= -d
-INCPATH  = -I$(QTDIR)/mkspecs/default -I. -I$(QTDIR)/include -Imoc_files/
+INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -Imoc_files/
 LINK     = g++
 LFLAGS   = 
-LIBS     = $(SUBLIBS)  -Wl,-rpath,$(QTDIR)/lib -L$(QTDIR)/lib -L/usr/X11R6/lib -lpcre -lz -lexpat -lqt -lXext -lX11 -lm
+LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lpcre -lz -lexpat -lqt-mt -lXext -lX11 -lm
 AR       = ar cqs
 RANLIB   = 
-MOC      = $(QTDIR)/bin/moc
-UIC      = $(QTDIR)/bin/uic
+MOC      = /usr/share/qt3/bin/moc
+UIC      = /usr/share/qt3/bin/uic
 QMAKE    = qmake
 TAR      = tar -cf
 GZIP     = gzip -9f
 COPY     = cp -f
-COPY_FILE= $(COPY) -p
-COPY_DIR = $(COPY) -pR
+COPY_FILE= $(COPY)
+COPY_DIR = $(COPY) -r
+INSTALL_FILE= $(COPY_FILE)
+INSTALL_DIR = $(COPY_DIR)
 DEL_FILE = rm -f
 SYMLINK  = ln -sf
 DEL_DIR  = rmdir
@@ -66,6 +68,7 @@
 		selreadable.h \
 		borrow.h \
 		tparser.h \
+		colorsettings.h \
 		misc.h
 SOURCES = adddialog.cpp \
 		cdcat.cpp \
@@ -88,6 +91,7 @@
 		exportcdcatdb.cpp \
 		showcontent.cpp \
 		selreadable.cpp \
+		colorsettings.cpp \
 		borrow.cpp \
 		tparser.cpp \
 		misc.cpp
@@ -112,6 +116,7 @@
 		obj_files/exportcdcatdb.o \
 		obj_files/showcontent.o \
 		obj_files/selreadable.o \
+		obj_files/colorsettings.o \
 		obj_files/borrow.o \
 		obj_files/tparser.o \
 		obj_files/misc.o \
@@ -136,6 +141,7 @@
 		moc_files/moc_showcontent.cpp \
 		moc_files/moc_selreadable.cpp \
 		moc_files/moc_borrow.cpp \
+		moc_files/moc_colorsettings.cpp \
 		moc_files/moc_help.cpp
 OBJMOC = obj_files/moc_adddialog.o \
 		obj_files/moc_commwidget.o \
@@ -154,6 +160,7 @@
 		obj_files/moc_showcontent.o \
 		obj_files/moc_selreadable.o \
 		obj_files/moc_borrow.o \
+		obj_files/moc_colorsettings.o \
 		obj_files/moc_help.o
 DIST	   = cdcat.pro
 QMAKE_TARGET = cdcat
@@ -163,7 +170,7 @@
 first: all
 ####### Implicit rules
 
-.SUFFIXES: .c .cpp .cc .cxx .C
+.SUFFIXES: .c .o .cpp .cc .cxx .C
 
 .cpp.o:
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<
@@ -184,21 +191,22 @@
 
 all: Makefile $(TARGET)
 
-$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
-	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)
+$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
+	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)
 
 mocables: $(SRCMOC)
+uicables: $(UICDECLS) $(UICIMPLS)
 
 $(MOC): 
-	( cd $(QTDIR)/src/moc ; $(MAKE) )
-
-Makefile: cdcat.pro  $(QTDIR)/mkspecs/default/qmake.conf 
+	( cd $(QTDIR)/src/moc && $(MAKE) )
+
+Makefile: cdcat.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
 	$(QMAKE) -o Makefile cdcat.pro
 qmake: 
 	@$(QMAKE) -o Makefile cdcat.pro
 
 dist: 
-	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
+	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/cdcat_sk.ts lang/cdcat_el.ts lang/cdcat_pt.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
 
 mocclean:
 	-$(DEL_FILE) $(OBJMOC)
@@ -210,7 +218,7 @@
 yaccclean:
 lexclean:
 clean: mocclean uiclean
-	-$(DEL_FILE) $(OBJECTS) 
+	-$(DEL_FILE) $(OBJECTS)
 	-$(DEL_FILE) *~ core *.core
 
 
@@ -226,9 +234,9 @@
 
 obj_files/adddialog.o: adddialog.cpp adddialog.h \
 		guibase.h \
+		dbase.h \
 		dirview.h \
 		icons.h \
-		dbase.h \
 		mainwidget.h \
 		config.h \
 		misc.h \
@@ -247,6 +255,7 @@
 		cdcat.h \
 		wdbfile.h \
 		recode.h \
+		config.h \
 		icons.h \
 		mainwidget.h \
 		showcontent.h
@@ -266,7 +275,8 @@
 		mp3tag.h \
 		wdbfile.h \
 		adddialog.h \
-		recode.h
+		recode.h \
+		tparser.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/dbase.o dbase.cpp
 
 obj_files/dirview.o: dirview.cpp dirview.h \
@@ -287,6 +297,7 @@
 		guibase.h \
 		borrow.h \
 		mainwidget.h \
+		colorsettings.h \
 		dbase.h \
 		recode.h \
 		wdbfile.h \
@@ -380,6 +391,11 @@
 		icons.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/selreadable.o selreadable.cpp
 
+obj_files/colorsettings.o: colorsettings.cpp colorsettings.h \
+		icons.h \
+		config.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/colorsettings.o colorsettings.cpp
+
 obj_files/borrow.o: borrow.cpp borrow.h \
 		icons.h \
 		recode.h \
@@ -403,53 +419,40 @@
 obj_files/help.o: help.cpp help.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/help.o help.cpp
 
-obj_files/moc_adddialog.o: moc_files/moc_adddialog.cpp adddialog.h 
+obj_files/moc_adddialog.o: moc_files/moc_adddialog.cpp  adddialog.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_adddialog.o moc_files/moc_adddialog.cpp
 
-obj_files/moc_commwidget.o: moc_files/moc_commwidget.cpp commwidget.h 
+obj_files/moc_commwidget.o: moc_files/moc_commwidget.cpp  commwidget.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_commwidget.o moc_files/moc_commwidget.cpp
 
-obj_files/moc_config.o: moc_files/moc_config.cpp config.h 
+obj_files/moc_config.o: moc_files/moc_config.cpp  config.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_config.o moc_files/moc_config.cpp
 
-obj_files/moc_dbase.o: moc_files/moc_dbase.cpp dbase.h 
+obj_files/moc_dbase.o: moc_files/moc_dbase.cpp  dbase.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_dbase.o moc_files/moc_dbase.cpp
 
-obj_files/moc_dirview.o: moc_files/moc_dirview.cpp dirview.h 
+obj_files/moc_dirview.o: moc_files/moc_dirview.cpp  dirview.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_dirview.o moc_files/moc_dirview.cpp
 
-obj_files/moc_find.o: moc_files/moc_find.cpp find.h 
+obj_files/moc_find.o: moc_files/moc_find.cpp  find.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_find.o moc_files/moc_find.cpp
 
-obj_files/moc_guibase.o: moc_files/moc_guibase.cpp guibase.h 
+obj_files/moc_guibase.o: moc_files/moc_guibase.cpp  guibase.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_guibase.o moc_files/moc_guibase.cpp
 
-obj_files/moc_hdirview.o: moc_files/moc_hdirview.cpp hdirview.h 
+obj_files/moc_hdirview.o: moc_files/moc_hdirview.cpp  hdirview.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_hdirview.o moc_files/moc_hdirview.cpp
 
-obj_files/moc_mainwidget.o: moc_files/moc_mainwidget.cpp mainwidget.h 
+obj_files/moc_mainwidget.o: moc_files/moc_mainwidget.cpp  mainwidget.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_mainwidget.o moc_files/moc_mainwidget.cpp
 
-obj_files/moc_newdbdialog.o: moc_files/moc_newdbdialog.cpp newdbdialog.h 
+obj_files/moc_newdbdialog.o: moc_files/moc_newdbdialog.cpp  newdbdialog.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_newdbdialog.o moc_files/moc_newdbdialog.cpp
 
-obj_files/moc_import.o: moc_files/moc_import.cpp import.h guibase.h \
+obj_files/moc_import.o: moc_files/moc_import.cpp  import.h guibase.h \
 		dbase.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_import.o moc_files/moc_import.cpp
 
-obj_files/moc_importdialog.o: moc_files/moc_importdialog.cpp importdialog.h 
+obj_files/moc_importdialog.o: moc_files/moc_importdialog.cpp  importdialog.h 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_importdialog.o moc_files/moc_importdialog.cpp
 
-obj_files/moc_info.o: moc_files/moc_info.cpp info.h 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_info.o moc_files/moc_info.cpp
-
-obj_files/moc_exportcdcatdb.o: moc_files/moc_exportcdcatdb.cpp exportcdcatdb.h recode.h \
-		guibase.h \
-		dbase.h \
-		wdbfile.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_exportcdcatdb.o moc_files/moc_exportcdcatdb.cpp
-
-obj_files/moc_showcontent.o: moc_files/moc_showcontent.cpp showcontent.h 
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj_files/moc_showcontent.o moc_files/moc_showcontent.cpp
-
-obj_files/moc_selreadable.o: moc_files/moc_selreadable.cpp selreadable.h
