## cdcat 1.0

=== KDE/Makefile ===

install:
	cp x-hcf.xml  /usr/share/mime/packages/
	update-mime-database
	cp cdcat.desktop /usr/share/applications
	cp cdcat.png /usr/share/icons
