## cdcat 1.01b

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: cdcat
-# Generated by qmake (1.07a) (Qt 3.3.4) on: Sun May 15 14:48:12 2005
+# Generated by qmake (1.07a) (Qt 3.3.4) on: Sat Nov  5 14:01:40 2005
 # Project:  cdcat.pro
 # Template: app
 # Command: $(QMAKE) -o Makefile cdcat.pro
@@ -206,7 +206,7 @@
 	@$(QMAKE) -o Makefile cdcat.pro
 
 dist: 
-	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/cdcat_sk.ts lang/cdcat_el.ts lang/cdcat_pt.ts lang/cdcat_id.ts lang/cdcat_it.ts lang/cdcat_fr.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
+	@mkdir -p obj_files/cdcat && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj_files/cdcat/ && $(COPY_FILE) --parents lang/cdcat_hu.ts lang/cdcat_de.ts lang/cdcat_es.ts lang/cdcat_cz.ts lang/cdcat_pl.ts lang/cdcat_sk.ts lang/cdcat_el.ts lang/cdcat_pt.ts lang/cdcat_id.ts lang/cdcat_it.ts lang/cdcat_fr.ts lang/cdcat_sr.ts lang/start/cdcat_nolang.ts obj_files/cdcat/ && ( cd `dirname obj_files/cdcat` && $(TAR) cdcat.tar cdcat && $(GZIP) cdcat.tar ) && $(MOVE) `dirname obj_files/cdcat`/cdcat.tar.gz . && $(DEL_FILE) -r obj_files/cdcat
 
 mocclean:
 	-$(DEL_FILE) $(OBJMOC)
