## cdcat 1.8

=== debian/changelog ===
cdcat (1.8-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:16:35 +0000

cdcat (1.8-1build1) wily; urgency=medium

  * No-change rebuild against libmediainfo0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 11:58:08 +0200

cdcat (1.8-1) unstable; urgency=low

  * New upstream release
    + search crash fix (closes: #662030)

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Mar 2012 11:11:34 +0100
