## cdcat 2.3.1

=== debian/changelog ===
cdcat (2.3.1-0~mx23) mx; urgency=medium

  * New upstream release
  * Patch from AUR for using Qt5 instead of Qt4.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 17 Dec 2023 00:23:18 -0500
