=== debian/control ===
Source: cdcat
Section: x11
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper, qt5-qmake, qttools5-dev, p7zip, lib7zip-dev, libqt5core5a, libcrypto++-dev, libpcre3-dev, libexpat1-dev, zlib1g-dev, libtar-dev, libmediainfo-dev (>= 0.7.53), libzen-dev, libtinyxml-dev, pkg-config, libbz2-dev
Standards-Version: 4.6.0

Package: cdcat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: media catalog program 
 CDCat is a graphical, multiplatform media catalog program which scans the      
 directories/drives you specify and makes a list of the filesystem
 contents (including the tags of MP3 files) and stores the result in a
 gzipped XML file.
